%flare control
data;
soleom;

%finding hdot(s)/theta transfer function
gamma = 1-(alphatf/thetatf);
hdthtf=(U/57.3)*gamma;

%finding theta(s)/thetacommand(s)transfer function
thetadtf=series(thetatf,tf([1 0],[0 1]));
fl1 = series(thetadtf,tf([0 -10],[1 12.5]));
il=feedback(fl1,0.179);
ththctf=feedback(series(0.187*il,tf([0 1],[1 0])),1);

%writing the coupler transfer function
c1=tf([10 1],[1 0]);
c2=series(c1,tf([1 0.5],[1 5]));
coupler=series(c2,tf([1 5.5],[1 55]));

%finding the internal loop
f1=series(coupler,ththctf);
f2=series(f1,hdthtf);

il = feedback(f2,1);
%finding the complete tf
fl=series(il,tf([0 1],[1 0]));

sisotool(fl)
%damping of 0.6 is oobtained at Sc= 0.339
impulse(series(fl,-0.6))
